Update an existing Task
PATCH
https://api.neuroscale.io/v2.0/tasks/{task-id}
Path parameters¶
| Name | Type | Description |
|---|---|---|
task-id |
String | Unique identifier of the Task. |
To update a Task send a JSON-encoded object containing updated values for one or more of the following attributes:
| Name | Type | Description |
|---|---|---|
| description | String | Description of the Task. |
| name | String | Name of the Task. |
| properties | Object / Hash | User-editable object of key-value pairs that can be used to add arbitrary tags to the Task (for personal use). |
Authentication¶
Type: Access token
Required scopes: task or update:task
Responses¶
Example response — 200¶
{
"created_at": 1467233124,
"description": "Updated description of Task",
"executions": {
"count": 1,
"data": [
{
"created_at": 1467233124,
"errors": [],
"finished_at": 1467233388,
"id": "ex_42iSJz5TLRU29G9tLihRZE",
"object": "execution",
"started_at": 1467233105,
"state": "completed",
"task": "tsk_TNje6VQJUPgaDA8tVbHPpU",
"transitions": [],
"updated_at": 1467233413
}
],
"object": "list",
"url": "/v1/tasks/tsk_TNje6VQJUPgaDA8tVbHPpU/executions"
},
"finished_at": 1467233388,
"id": "tsk_TNje6VQJUPgaDA8tVbHPpU",
"max_retries": 0,
"name": "My Updated Task",
"object": "task",
"parameters": {
"nodes": {
"importer": {
"params": {
"filename": {
"value": "input.set"
}
}
},
"exporter": {
"params": {
"filename": {
"value": "output.set"
}
}
}
}
},
"pipeline": "pl_xTg7suuqGzFCGcnmb6Xx7f",
"priority": "low",
"properties": {
"key_3": "value_3"
},
"started_at": 1467233105,
"state": "completed",
"updated_at": 1467307054,
"user": "usr_ZTNc2sEjoq6JoEgPNFUg6g"
}